/*
 *      $Filename: commands.c $
 *      $Revision: 3.22 $
 *      $Date: 1996/12/23 00:21:01 $
 *
 *      Copyright (C) 1993 by Brian Kantor <brian@nothing.ucsd.edu>
 *      Copyright (C) 1994-96 by Peter Simons <simons@peti.rhein.de>
 *
 *      This program is free software; you can redistribute it and/or
 *      modify it under the terms of the GNU General Public License as
 *      published by the Free Software Foundation; either version 2 of
 *      the License, or (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *      General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *      $Id: commands.c,v 3.22 1996/12/23 00:21:01 simons Exp $
 *
 */

/************************************* includes ***********/
#include "petidomo.h"

/************************************* global variables ***/
static char rcsid[] = "$Id: commands.c,v 3.22 1996/12/23 00:21:01 simons Exp $";

/************************************* program ************/
void
sendhelp(char *from, char *request)
{
    int       i;
    char      grp[256],
              tmp[512];

    i = sscanf(request, "%s%s", tmp, grp);
    switch (i) {
    case 1:
	callmailer("", from, request);
	mailcat(HELPFILE, "");
	pclose(mailer);
	return;
    case 2:
	listhelp(from, grp, request);
	return;
    }
}

void
listhelp(char *from,
	 char *grp,
	 char *request)
{
    char      tmp[128];

    callmailer("", from, request);
    sprintf(tmp, "%s/%s/description", LISTDIR, grp);
    mailcat(tmp, "");
    pclose(mailer);
    return;
}

void
sendindex(char *from,
	  char *request,
	  int longi)
{
    FILE *    fh;
    DIR      *listdir;
    struct dirent *entry;
    char      tmp[1024];

    debug(3, "sendindex() called with longindex flag set to %d.", longi);

    if (!(listdir = opendir(LISTDIR))) {
	logerrno(LOG_ERR, "opendir(%s) failed", LISTDIR);
	exit(1);
    }
    debug(3, "opendir(%s) succeeded.", LISTDIR);

    callmailer("", from, request);
    fprintf(mailer, "------------------------ Index of mailing lists ----------------------\n");

    while ((entry = readdir(listdir))) {
	debug(2, "sendindex(): Found entry '%s'.", entry->d_name);
	if (!strcmp(entry->d_name, ".") || !strcmp(entry->d_name, ".."))
	    continue;
	fprintf(mailer, "%s\n", entry->d_name);
	if (longi) {
	    sprintf(tmp, "%s/%s/description", LISTDIR, entry->d_name);
	    debug(3, "longindex(): Opening '%s'.", tmp);
	    if ((fh = fopen(tmp, "r")) != NULL)
	      fclose(fh);
	    if (fh != NULL) {
		mailcat(tmp, "     ");
	    }
	    else {
		logerrno(LOG_WARNING, "open(%s) failed", tmp);
		fprintf(mailer, "     no description available\n");
	    }
	    fprintf(mailer, "\n");
	}
    }

    closedir(listdir);
    fprintf(mailer, "----------------------------------------------------------------------\n");
    pclose(mailer);
    return;
}
