/*
 *      $Filename: faq.c $
 *      $Revision: 3.17 $
 *      $Date: 1996/12/23 00:21:02 $
 *
 *      Copyright (C) 1993 by Brian Kantor <brian@nothing.ucsd.edu>
 *      Copyright (C) 1994-96 by Peter Simons <simons@peti.rhein.de>
 *
 *      This program is free software; you can redistribute it and/or
 *      modify it under the terms of the GNU General Public License as
 *      published by the Free Software Foundation; either version 2 of
 *      the License, or (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *      General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *      $Id: faq.c,v 3.17 1996/12/23 00:21:02 simons Exp $
 *
 */

/************************************* includes ***********/
#include "petidomo.h"

/************************************* global variables ***/
static char rcsid[] = "$Id: faq.c,v 3.17 1996/12/23 00:21:02 simons Exp $";

/************************************* program ************/
void
sendfaq(char *from, char *command)
{
    FILE *    fh;
    int       i;
    char      grp[256],
              tmp[512];

    i = sscanf(command, "%s%s", tmp, grp);
    if (i == 1) {
	if (def_listname)
	    strcpy(grp, def_listname);
	else {
	    faqindex(from, command);
	    return;
	}
    }
    else if (i != 2) {
	sendhelp(from, command);
	return;
    }

    sprintf(tmp, "%s/%s/faq", LISTDIR, grp);
    callmailer("", from, command);
    if ((fh = fopen(tmp, "r")) != NULL)
      fclose(fh);
    if (fh != NULL) {
	mailcat(tmp, "");
	pclose(mailer);
	return;
    }
    else {
	fprintf(mailer, "There is no FAQ available for mailing list \"%s\".\n", grp);
	pclose(mailer);
	return;
    }
}

void
faqindex(char *from,
	 char *request)
{
    FILE *    fh;
    DIR      *listdir;
    struct dirent *entry;
    char      tmp[1024];

    if (!(listdir = opendir(LISTDIR))) {
	logerrno(LOG_ERR, "opendir(%s) failed", LISTDIR);
	exit(1);
    }

    callmailer("", from, request);
    fprintf(mailer, "------------------------ Index of available FAQs ---------------------\n");

    while ((entry = readdir(listdir))) {
	sprintf(tmp, "%s/%s/faq", LISTDIR, entry->d_name);
	if ((fh = fopen(tmp, "r")) != NULL)
	  fclose(fh);
	if (fh != NULL)
	    fprintf(mailer, "%s\n", entry->d_name);
    }
    closedir(listdir);

    fprintf(mailer, "----------------------------------------------------------------------\n");
    pclose(mailer);
    return;
}
