#! /bin/sh

if [ ! -d ${SERVDIR} ]; then
	${MKDIRHIER} -m 0755 ${SERVDIR}
fi
(cd ${SERVDIR}
if [ ! -f banned ]; then
	cat <<[eof] >banned
MAILER-DAEMON
root@
postmaster
mailer@
mailmnt@
smtp@
uucp@
news@
usenet@
[eof]
fi
if [ ! -f help ]; then
	cat <<[eof] >help
PetiDomo help page (14 January 1996)
*******************************************

You can subscribe or unsubscribe to any of the various local mailing lists
by sending email to <petidomo@peti.rhein.de> or <listserv@peti.rhein.de>.

The commands understood by the PetiDomo program are:

    HELP
          Lists this file. This is also sent whenever a message to
          PetiDomo is received from which no valid command could be
          parsed.

    HELP listname
          Lists a brief description of the list requested.

    LIST [address]
          Lists all mailing lists to which the given address is
          subscribed. If you omit the 'address' the command will assume
          the mailbox is in the from line.

    INDEX
          Lists all the lists available for subscription.

    LONGINDEX
          Lists all the lists and their descriptions.

    ADD [address] listname
    DELETE [address] listname
          Adds or deletes the given address to or from the list
          specified. Mail is sent to the address given to confirm the
          add or delete operation.  If you omit the 'address' the
          command will assume the mailbox that is in the From: line of
          the message. Note that SUBSCRIBE is a synonym for ADD;
          UNSUBSCRIBE for DELETE.

    DELETE-ALL [address]
    UNSUBSCRIBE-ALL [address]
          Unsubscribes given address from all mailing lists. Mail is
          sent the address given to confirm the deletions. If you omit
          the 'address' the command will assume the mailbox that is in
          the From: line of the message.

    FAQ [listname]
          Sends a list of "Frequently Asked Questions" for the
          appropriate mailing list. If the listname parameter is
          omitted, a list of available FAQs is sent instead.


A command must be the first word on each line in the message. Lines which
do not start with a command word result in this file to be sent. If no
commands were found in the entire message, that message is completely
ignored. A single message may contain multiple commands; some commands may
result in a separate reply (namely FAQ, HELP) while others will just write
something to the logfile. You will always receive a response to any command
found in the mail.

In case you do not address the mail to petidomo@foo.bar, but to
<mailinglist>-request@foo.bar, the name of the list will be assumed as
"mailinglist" if you omit the parameter at the ADD, DELETE, HELP and FAQ
commands. One short example:

     To: Testlist-request@foo.bar.com
     Subject:

     ADD myaddress@mysite
     FAQ

will add myaddress@mysite to the "Testlist" and send the FAQ back in
return. You see, it's not possible to get the list of available FAQs
when mailing to a "-request" address, because PetiDomo will try to send
the specific FAQ out.

Please note that it IS possible to add or delete someone else's
subscription to a mailing list. This facility is provided so that
subscribers may alter their own subscriptions from a new or different
computer account. There is therefore some potential for abuse; I have
chosen to limit this by mailing a confirmation notification of any addition
or deletion to the address added or deleted including a copy of the message
which requested the operation. At least you can find out who's doing it to
you.

Examples:

     add niftylist
     delete joe@uunet.uu.net junkylist
     help eggbeaters

Note that you mail submissions to a mailing list by addressing mail to the
list's name at this site (e.g., niftylist@peti.rhein.de). If you have any
questions or need assistance, you can send email to
postmaster@peti.rhein.de for a human answer.
[eof]
fi
)
if [ ! -d ${SERVDIR}/groups/testlist ]; then
	${MKDIRHIER} -m 0755 ${SERVDIR}/groups/testlist
fi
(cd ${SERVDIR}/groups/testlist
if [ ! -f banned ]; then
	touch banned
fi
if [ ! -f description ]; then
	cat <<[eof] >description
This list is just for internal testing purposes and I really
doubt that you'll find it very interesting!
[eof]
fi
if [ ! -f faq ]; then
	cat <<[eof] >faq
You want a FAQ?

        You get a FAQ!

[eof]
fi
if [ ! -f introduction ]; then
	cat <<[eof] >introduction
This list is just for internal testing purposes and I really doubt
that you'll find it very interesting!
[eof]
fi
if [ ! -f list ]; then
	cat <<[eof] >list
postmaster
root
[eof]
fi
if [ ! -f signature ]; then
	cat <<[eof] >signature


------------------------------------------------------------------------------
                          Magical test mailing list
[eof]
fi
)
