
/*
 *      $Filename: passwd.c $
 *      $Revision: 3.8 $
 *      $Date: 1996/06/28 19:58:40 $
 *
 *      Copyright (C) 1995,96 by Peter Simons <simons@peti.rhein.de>
 *
 *      This program is free software; you can redistribute it and/or
 *      modify it under the terms of the GNU General Public License as
 *      published by the Free Software Foundation; either version 2 of
 *      the License, or (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *      General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *      $Id: passwd.c,v 3.8 1996/06/28 19:58:40 simons Exp $
 *
 */

/************************************* includes ***********/
#include "petidomo.h"

/************************************* global variables ***/
static char rcsid[] = "$Id: passwd.c,v 3.8 1996/06/28 19:58:40 simons Exp $";

/************************************* subroutines ********/
int 
authen(char *listname, char *passwd)
{
    FILE     *fh;
    char      buffer[1024];

    sprintf(buffer, "%s/%s/passwd", LISTDIR, listname);
    if (!(fh = fopen(buffer, "r")))
	return 1;

    fgets(buffer, sizeof(buffer), fh);
    if (strlen(buffer) <= 0) {
	log(LOG_WARNING, "passwd file of '%s' is not readable or empty", listname);
	return 1;
    }
    if (buffer[strlen(buffer) - 1] == '\n')
	buffer[strlen(buffer) - 1] = '\0';

    return !strcasecmp(passwd, buffer);
}

int 
posting_authen(char *listname, char *passwd)
{
    FILE     *fh;
    char      buffer[1024];

    assert(listname && *listname);
    assert(passwd);

    sprintf(buffer, "%s/%s/postingpasswd", LISTDIR, listname);
    if (!(fh = fopen(buffer, "r")))
	return 1;

    fgets(buffer, sizeof(buffer), fh);
    if (strlen(buffer) <= 0) {
	log(LOG_WARNING, "postingpasswd file of '%s' is not readable or empty", listname);
	return 1;
    }
    if (buffer[strlen(buffer) - 1] == '\n')
	buffer[strlen(buffer) - 1] = '\0';

    debug(2, "Testing whether %s is equal to %s.", buffer, passwd);
    return !strcasecmp(passwd, buffer);
}
