/*
 *      $Filename: petidomo.h.in $
 *      $Revision: 3.4 $
 *      $Date: 1996/12/19 02:47:29 $
 *
 *      Copyright (C) 1996 by Peter Simons <simons@peti.rhein.de>
 *
 *      This program is free software; you can redistribute it and/or
 *      modify it under the terms of the GNU General Public License as
 *      published by the Free Software Foundation; either version 2 of
 *      the License, or (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *      General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *      $Id: petidomo.h.in,v 3.4 1996/12/19 02:47:29 simons Exp $
 *
 */

#ifndef LS_PETIDOMO_H
#define LS_PETIDOMO_H 1

#include "includes.h"
#include "protos.h"
#include "support.h"

#ifndef SERVDIR
#error SERVDIR should be defined by the Makefile!
#endif
#define HELPFILE        SERVDIR"/help"
#define LISTDIR         SERVDIR"/groups"

#define PETIDOMOADDR    "petidomo"
#define PETIDOMOMANAGER "petidomo-manager"
#define BUFSIZE         4096

#define SENDMAIL "/usr/sbin/sendmail"
#define MODE_PIPETO "w"

/* In rare cases, Petidomo is not able to determine the fully
   qualified domain name of the machine, it is running on. If your
   machine is one of those, you'll have to hard-code your hostname
   into the binary.

   Please edit the FQDN-define below, to contains your machine's name
   -including- the domain.

   For example:

   #define FQDN "petium.rhein.de"

   Then please delete the #error statement in petidomo.c that told you
   to come here, to make petidomo compile again.
*/

#undef FQDN	/* Change Me, if necessary */

#endif /* !LS_PETIDOMO_H */
