
/*
 *      $Filename: string.c $
 *      $Revision: 3.17 $
 *      $Date: 1996/06/28 19:58:42 $
 *
 *      Copyright (C) 1994-96 by Peter Simons <simons@peti.rhein.de>
 *
 *      This program is free software; you can redistribute it and/or
 *      modify it under the terms of the GNU General Public License as
 *      published by the Free Software Foundation; either version 2 of
 *      the License, or (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *      General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *      $Id: string.c,v 3.17 1996/06/28 19:58:42 simons Exp $
 *
 */

/************************************* includes ***********/
#include "petidomo.h"

/************************************* global variables ***/
const char RCSId[] = "$Id: string.c,v 3.17 1996/06/28 19:58:42 simons Exp $";

char      FATALERROR_MSG[] = \
"Sorry, but fatal error #%d occured while processing your request. The\n" \
"problem has been reported to the petidomo-manager and will be fixed as\n" \
"soon as possible. Please try again later.\n";

char      DELETED_MSG[] = \
"Although you have been deleted from the list some mail sent previous\n" \
"to your deletion may be queued in the system. Please don't panic if\n" \
"you receive a few last pieces of mail.\n";

char      BANNED_MSG[] = "%s: address is banned--mail junked";

char      BETA_MSG[] = \
"This is a BETA VERSION of petidomo which has not been tested very\n" \
"much. Please help me to find any bugs and report ANY problem you\n" \
"encounter to simons@peti.rhein.de.\n\n";

/************************************* program ************/
char     *
stristr(char *line, char *string)
{
    int       i,
              cmplen = strlen(string),
              end = strlen(line) - cmplen;

    for (i = 0; i <= end; i++)
	if (strncasecmp(&line[i], string, cmplen) == (int) NULL)
	    return &line[i];
    return NULL;
}

char     *
lowercase(char *string)
{
    char     *backup = string;

    while (*string) {
	*string = tolower(*string);
	string++;
    }

    return backup;
}
